> ## Documentation Index
> Fetch the complete documentation index at: https://docs.edisglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upgrade VPS

> Upgrades a KVM service to a new product within the same location.



## OpenAPI

````yaml post /kvm/v2/add/upgrade
openapi: 3.0.0
info:
  title: EDIS Global ORDER API
  description: >
    Welcome to EDIS Global ORDER API 🚀

    The EDIS Global ORDER API allows seamless integration with our
    infrastructure to automate the entire product lifecycle (ordering and
    cancellations).


    Whether you’re integrating into your billing system or automating your
    service orders, our ORDER API makes managing the product lifecycle of EDIS
    Global services simple and effective. Below is a quick overview to help you
    get started.


    🚀 **Get Started Here**

    Follow these steps to begin using the EDIS Global ORDER API:


    - **Authentication:** Ensure you are authenticated (WHMCS username and
    password)

    - **Explore the Endpoints:** Use the endpoints below to order and cancel VPS
    services in any of our worldwide server locations.


    Available API Endpoints:


    **Payment Methods**

    - POST `get payment methods`
      Retrieve the available payment methods for your order.

    **Billing Cycles**

    - POST `get billingcycles`
      Get available billing cycles for different products.

    **Locations**

    - POST `get locations`
      Fetch all available VPS locations across the globe.

    **Products**

    - POST `get products`
      List the available VPS products and configurations.

    **Place an Order**

    - POST `add order`
      Add a new VPS order to the EDIS Global infrastructure.

    **Cancel a Product**

    - POST `cancel product`
      Cancel a specific product or VPS service.

    For more details on the EDIS Global ORDER API, please refer to the full
    documentation, and feel free to reach out if you have any questions or need
    assistance.


    Happy Coding!

    The EDIS Global Team
  version: 1.0.0
servers:
  - url: https://order.edisglobal.com
    description: Sandbox Server
security: []
paths:
  /kvm/v2/add/upgrade:
    post:
      summary: Upgrade a KVM Service
      description: Upgrades a KVM service to a new product within the same location.
      operationId: upgradeKVM
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  format: email
                  example: user@example.com
                pw:
                  type: string
                  example: securepassword
                kvmid:
                  type: string
                  example: kvm_123456_789012
                  description: KVM service ID(kvm_id) or numeric client ID.
                newpid:
                  type: integer
                  example: 1642
                  description: New Product ID, must be within the same location
                newbillingcycle:
                  type: string
                  enum:
                    - monthly
                    - quarterly
                    - semi-annually
                    - annually
                  example: monthly
                  description: >-
                    Billing cycle for the upgraded product. Please select from
                    the dropdown list.
                newpaymentmethod:
                  type: string
                  example: paypal
      responses:
        '200':
          description: Upgrade successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  orderid:
                    type: string
                    example: '228300'
                  serviceid:
                    type: string
                    example: '209052'
                  invoiceid:
                    type: string
                    example: '1617670'
                  oldproductname:
                    type: string
                    example: KVM BASIC
                  newproductname:
                    type: string
                    example: KVM PREMIUM PLUS
                  oldproductid:
                    type: string
                    example: '1632'
                  newproductid:
                    type: string
                    example: '1642'
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: Invalid parameters provided.
        '401':
          description: Unauthorized, wrong credentials
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: Authentication failed. Invalid email or password.
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: Unexpected server error. Please try again later.
      servers:
        - url: https://order.edisglobal.com
          description: Specific endpoint for retrieving new VPS order

````